# GimpUi.ProcedureDialog

    const GimpUi = imports.gi.GimpUi;

    let procedureDialog = new GimpUi.ProcedureDialog({
        config: value,
        procedure: value,
    });

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.Window
            - Gtk.Dialog
              - GimpUi.Dialog
                - GimpUi.ProcedureDialog

## Constructors

- GimpUi.ProcedureDialog.new

## Methods

- GimpUi.ProcedureDialog.prototype.fill
- GimpUi.ProcedureDialog.prototype.fill_box
- GimpUi.ProcedureDialog.prototype.fill_expander
- GimpUi.ProcedureDialog.prototype.fill_flowbox
- GimpUi.ProcedureDialog.prototype.fill_frame
- GimpUi.ProcedureDialog.prototype.fill_notebook
- GimpUi.ProcedureDialog.prototype.fill_paned
- GimpUi.ProcedureDialog.prototype.fill_scrolled_window
- GimpUi.ProcedureDialog.prototype.get_color_widget
- GimpUi.ProcedureDialog.prototype.get_drawable_preview
- GimpUi.ProcedureDialog.prototype.get_file_chooser
- GimpUi.ProcedureDialog.prototype.get_int_combo
- GimpUi.ProcedureDialog.prototype.get_int_radio
- GimpUi.ProcedureDialog.prototype.get_label
- GimpUi.ProcedureDialog.prototype.get_scale_entry
- GimpUi.ProcedureDialog.prototype.get_size_entry
- GimpUi.ProcedureDialog.prototype.get_spin_scale
- GimpUi.ProcedureDialog.prototype.get_widget
- GimpUi.ProcedureDialog.prototype.run
- GimpUi.ProcedureDialog.prototype.set_ok_label
- GimpUi.ProcedureDialog.prototype.set_sensitive
- GimpUi.ProcedureDialog.prototype.set_sensitive_if_in

## Properties

- config
- procedure

## Virtual functions

- GimpUi.ProcedureDialog::fill_end
- GimpUi.ProcedureDialog::fill_start